Package org.eclipse.mat.ui.internal.diagnostics

# Class DiagnosticsExecutionWizardPage

java.lang.Object
org.eclipse.jface.dialogs.DialogPage
org.eclipse.jface.wizard.WizardPage
org.eclipse.mat.ui.internal.diagnostics.DiagnosticsExecutionWizardPage

All Implemented Interfaces:
  `IDialogPage`, `IMessageProvider`, `IWizardPage`, `DiagnosticsProgress`

public class DiagnosticsExecutionWizardPage extends WizardPage implements DiagnosticsProgress
Handles executing the diagnostics on MAT

## Field Summary

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`DiagnosticsExecutionWizardPage()`

## Method Summary

Modifier and Type
Method
Description
`void`
`appendText(String text)`
Report textual progress and results to the user.
`void`
`clearText()`
Clear any existing textual progress for the user.
`void`
`createControl(Composite parent)`
`void`
`handleException(Throwable t)`
Report an exception to the user.
`boolean`
`isPageComplete()`
`boolean`
`performFinish(DiagnosticsAction action)`
`void`
`performHelp()`
`void`
`reset()`

### Methods inherited from class org.eclipse.jface.wizard.WizardPage

`canFlipToNextPage, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, setMessage, setVisible`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, setVisible`

### Methods inherited from interface org.eclipse.jface.wizard.IWizardPage

`getMinimumPageSize`

## Constructor Details

### DiagnosticsExecutionWizardPage

public DiagnosticsExecutionWizardPage()

## Method Details

### createControl

public void createControl(Composite parent)

Specified by:
  `createControl` in interface `IDialogPage`

### reset

public void reset()

### performHelp

public void performHelp()

Specified by:
  `performHelp` in interface `IDialogPage`
Overrides:
  `performHelp` in class `DialogPage`

### performFinish

public boolean performFinish(DiagnosticsAction action)

### isPageComplete

public boolean isPageComplete()

Specified by:
  `isPageComplete` in interface `IWizardPage`
Overrides:
  `isPageComplete` in class `WizardPage`

### appendText

public void appendText(String text)
Description copied from interface: `DiagnosticsProgress`
Report textual progress and results to the user.

Specified by:
  `appendText` in interface `DiagnosticsProgress`
Parameters:
  `text` - The text to report

### handleException

public void handleException(Throwable t)
Description copied from interface: `DiagnosticsProgress`
Report an exception to the user.

Specified by:
  `handleException` in interface `DiagnosticsProgress`
Parameters:
  `t` - The exception

### clearText

public void clearText()
Description copied from interface: `DiagnosticsProgress`
Clear any existing textual progress for the user.

Specified by:
  `clearText` in interface `DiagnosticsProgress`